///
/// Code generated by jsonToDartModel https://ashamp.github.io/jsonToDartModel/
///
class PointCategoryDataFetchPointActionCategoriesActions {
/*
{
  "id": 2,
  "name": "Ghi nhật ký tẩy hạt"
}
*/

  int? id;
  String? name;

  PointCategoryDataFetchPointActionCategoriesActions({
    this.id,
    this.name,
  });
  PointCategoryDataFetchPointActionCategoriesActions.fromJson(Map<String, dynamic> json) {
    id = json['id']?.toInt();
    name = json['name']?.toString();
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['id'] = id;
    data['name'] = name;
    return data;
  }
}

class PointCategoryDataFetchPointActionCategories {
/*
{
  "id": 1,
  "name": "Thực hành DCI",
  "type": "PRACTICE",
  "actions": [
    {
      "id": 2,
      "name": "Ghi nhật ký tẩy hạt"
    }
  ]
}
*/

  int? id;
  String? name;
  String? type;
  List<PointCategoryDataFetchPointActionCategoriesActions?>? actions;

  PointCategoryDataFetchPointActionCategories({
    this.id,
    this.name,
    this.type,
    this.actions,
  });
  PointCategoryDataFetchPointActionCategories.fromJson(Map<String, dynamic> json) {
    id = json['id']?.toInt();
    name = json['name']?.toString();
    type = json['type']?.toString();
    if (json['actions'] != null) {
      final v = json['actions'];
      final arr0 = <PointCategoryDataFetchPointActionCategoriesActions>[];
      v.forEach((v) {
        arr0.add(PointCategoryDataFetchPointActionCategoriesActions.fromJson(v));
      });
      actions = arr0;
    }
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['id'] = id;
    data['name'] = name;
    data['type'] = type;
    if (actions != null) {
      final v = actions;
      final arr0 = [];
      v!.forEach((v) {
        arr0.add(v!.toJson());
      });
      data['actions'] = arr0;
    }
    return data;
  }
}

class PointCategoryData {
/*
{
  "fetchPointActionCategories": [
    {
      "id": 1,
      "name": "Thực hành DCI",
      "type": "PRACTICE",
      "actions": [
        {
          "id": 2,
          "name": "Ghi nhật ký tẩy hạt"
        }
      ]
    }
  ]
}
*/

  List<PointCategoryDataFetchPointActionCategories?>? fetchPointActionCategories;

  PointCategoryData({
    this.fetchPointActionCategories,
  });
  PointCategoryData.fromJson(Map<String, dynamic> json) {
    if (json['fetchPointActionCategories'] != null) {
      final v = json['fetchPointActionCategories'];
      final arr0 = <PointCategoryDataFetchPointActionCategories>[];
      v.forEach((v) {
        arr0.add(PointCategoryDataFetchPointActionCategories.fromJson(v));
      });
      fetchPointActionCategories = arr0;
    }
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    if (fetchPointActionCategories != null) {
      final v = fetchPointActionCategories;
      final arr0 = [];
      v!.forEach((v) {
        arr0.add(v!.toJson());
      });
      data['fetchPointActionCategories'] = arr0;
    }
    return data;
  }
}

class PointCategory {
/*
{
  "data": {
    "fetchPointActionCategories": [
      {
        "id": 1,
        "name": "Thực hành DCI",
        "type": "PRACTICE",
        "actions": [
          {
            "id": 2,
            "name": "Ghi nhật ký tẩy hạt"
          }
        ]
      }
    ]
  }
}
*/

  PointCategoryData? data;

  PointCategory({
    this.data,
  });
  PointCategory.fromJson(Map<String, dynamic> json) {
    data = (json['data'] != null) ? PointCategoryData.fromJson(json['data']) : null;
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    if (data != null) {
      data['data'] = this.data!.toJson();
    }
    return data;
  }
}
